Skip to main content
GET
/
v1
/
price-books
/
{id}
Get price book
curl --request GET \
  --url https://api.hyperline.co/v1/price-books/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "prib_DKL4Xcb5VSa8CQ",
  "name": "Enterprise pricing",
  "description": null,
  "user_role_ids": [
    "<string>"
  ],
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required

Price book ID.

Example:

"prib_DKL4Xcb5VSa8CQ"

name
string
required

Price book name.

Example:

"Enterprise pricing"

description
string | null
required

Price book description.

Example:

null

user_role_ids
string[]
required

List of user role IDs that have access to this price book.

created_at
string<date-time>
required

Price book creation date. UTC date time string in the ISO 8601 format.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Price book last update date. UTC date time string in the ISO 8601 format.

Example:

"2024-12-20T16:04:11Z"